# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/field/pokemon-sprite-sparkle-handler.ts:5

##### Index

### Constructors

constructor

### Methods

add
onLapse
remove
removeAll
setup

## Constructors

### constructor

- new default(): default

  #### Returns default

## Methods

### add

- add(sprites: Sprite | Sprite[]): void

  #### Parameters

  - sprites: Sprite | Sprite[]

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:59

### onLapse

- onLapse(): void

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:21

### remove

- remove(sprites: Sprite | Sprite[]): void

  #### Parameters

  - sprites: Sprite | Sprite[]

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:71

### removeAll

- removeAll(): void

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:80

### setup

- setup(): void

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:8